{% set PageTitle = "Request One Time Access Code" %}

{% extends "opvmaster.html" %}
{% block styles %}
{% endblock %}
{% block main %}


<div class="opv-main" id="opv-master">
    <div class="opv-master theme-cool-grey">
        <div class="opv-master__container container">
          <div class="opv-master__main">
            <div class="opv-master__left-content opv-req-otac">
                <div id="opv-left-nav"></div>
                <div class="break"></div>
                <div id="opv-reg-tooltip"></div>
            </div>
            <div class="opv-master__right-content">
                <div id="opv-right-nav"></div>
            </div>
          </div>
        </div>
      </div>
</div>
{% endblock %}
{% block scripts %}

<script>    
    //Left-Nav ::::OpvAccessCodeMsg
    ReactDOM.render(React.createElement(Components.OpvCustomAccessCodeForm,{
        
    }), document.getElementById("opv-left-nav"));
    ReactDOM.render(React.createElement(Components.Form, {
            endpoint : 'dist/json/opv-form.json',
            id:'req-onetime-access',
            submit : 'Request Code',
            intro : `Please enter your details below so that we can verify your identity and send you your one-time access code.<br/>
            You’ll need this code to complete the registration process, it will posted to you within 3-5 working days`,
            heading :'Request one-time access code',
            isOpvForm: true,
            groups: [
            {
                id : 'opv-req',
                // opvFormVal: true,
                fields:[
                    {
                        id : 'opvpn',
                        type : "text",
                        label : "Policy number",
                        additional : "It’s on your policy documents. For example, ‘LV123456’.",
                        placeholder : "Enter your policy number",
                        customError : 'Please enter a valid policy number',
                        formatError : 'Please enter a valid policy number',
                        // isRequired : false,
                        isOpvField: true,
                        data:{
                            policynumber: true,
                            minlength: 7,
                            maxlength: 10
                        }
                    },
                    {
                        id : 'opvpc',
                        type : 'text',
                        label : 'Postcode',
                        placeholder : 'Enter your post code',
                        customError : 'Please enter a valid postcode',
                        formatError : 'Please enter a valid postcode',
                        // isRequired : false,
                        isOpvField: true,
                        data:{
                            alphanumericspace: true,
                            minlength: 5,
                            maxlength: 8
                        }
                    },
                    {
                        id:'opvmm',
                        type: 'number',                        
                        label: 'Date of birth',
                        placeholder: 'MM',                        
                        customError :'Please enter your date of birth',
                        formatError: 'Please enter your date of birth',
                        // isRequired : false,
                        isOpvField: true,
                        data:{
                           // exactLength: 2,
                            month: true
                        }
                    },
                    {
                        id:'opvyy',
                        type: 'number',
                        placeholder: 'YYYY',
                        customError :'Please enter your date of birth',
                        formatError: 'Please enter your date of birth',
                        // isRequired : false,
                        isOpvField: true,
                        data:{
                            //exactLength: 4
                            year: true
                        }
                    }
                ]
            }
        ],
        'testSuccess':true,
        'testFailure':false
    }), document.getElementById("form-area"));
    ReactDOM.render(React.createElement(Components.OpvRegTooltip, {        
        link: `Why do we need this information?`, 
        title : `<h6 class="infoheading">Why do we need this information?</h6>`,
        description: `<p class="paraContent">In order to complete the registration process you will need to input a One Time Access Code you received in the post and your current pension policy number.
            The data collected will not for used for any other purposes and will not be stored for longer than is required.
        </p>`,
    }), document.getElementById("opv-reg-tooltip"));
    ReactDOM.render(React.createElement(Components.OpvRightNav, {
        title: `Need some help?`,
        content: `If you need some help logging on or have a query call one of our friendly agents on <strong>0800 XXX XXX</strong>`,
        cta:`<img src="../../dist/images/icon/icon-faq.svg" />`,
        faqTxt: `FAQ`,
        theme:{
            themeName:'cool-grey'
        },
        
        faqContent: `<h6>FAQ’s</h6>
            <p class="faq-subhead"><b>Registration</b></p>

            <p class="faq-copy"><b>Q.</b>How do I know if I have a Self Invested Personal Penson?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            
            <p class="faq-copy"><b>Q.</b>What is a one-time access code and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b>What is two-step verification and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I don’t have a mobile phone number, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I no longer live in the UK, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="paraHeading"><b>Logged in</b></p>

            <p class="faq-copy"><b>Q.</b> What is a SIPP Bank Account?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            <p class="faq-copy"><b>Q.</b> Why are the valuation dates of my funds different?</p>
            <p class="faq-copy ans"><b>A.</b></p>`
    }), document.getElementById('opv-right-nav'));
    
</script>

{% endblock %}
